Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.unittest
Class TestSyndFeedRSS091N

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.sun.syndication.unittest.FeedTest
                  com.sun.syndication.unittest.SyndFeedTest
                      com.sun.syndication.unittest.TestSyndFeedRSS091N

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  TestSyndFeedRSS091U, TestSyndFeedRSS092

    public class TestSyndFeedRSS091N

extends SyndFeedTest

Author:
  pat

Constructor Summary
`` | `TestSyndFeedRSS091N()`
`protected` | `TestSyndFeedRSS091N(String type)`
`protected` | `TestSyndFeedRSS091N(String feedType, String feedFileName)`

Method Summary
`protected void` | `_testItem(int i)`
`protected void` | `_testUri(SyndEntry entry, int i)`
`void` | `testAuthor()`
`void` | `testCopyright()`
`void` | `testImageDescription()`
`void` | `testImageLink()`
`void` | `testImageTitle()`
`void` | `testImageUrl()`
`void` | `testLanguage()`
`void` | `testPublishedDate()`

Methods inherited from class com.sun.syndication.unittest.SyndFeedTest
`assertEqualsStr, assertProperty, getEntryAuthor, getEntryDescription, getEntryLink, getEntryPublishedDate, getEntryTitle, getPrefix, tearDown, testDescription, testEntries, testEntryDescription, testEntryLink, testEntryPublishedDate, testEntryTitle, testImage, testLink, testPreserveWireFeed, testTitle, testType`

Methods inherited from class com.sun.syndication.unittest.FeedTest
`getCachedJDomDoc, getCachedSyndFeed, getCachedSyndFeed, getCachedWireFeed, getFeedFileName, getFeedReader, getJDomDoc, getSyndFeed, getWireFeed`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestSyndFeedRSS091N

    public TestSyndFeedRSS091N()

### TestSyndFeedRSS091N

    protected TestSyndFeedRSS091N(String type)

### TestSyndFeedRSS091N

    protected TestSyndFeedRSS091N(String feedType,
                                  String feedFileName)

Method Detail

### testLanguage

    public void testLanguage()
                      throws Exception

  Overrides:
    `testLanguage` in class `SyndFeedTest`
  Throws:
    `Exception`

### testCopyright

    public void testCopyright()
                       throws Exception

  Throws:
    `Exception`

### testPublishedDate

    public void testPublishedDate()
                           throws Exception

  Overrides:
    `testPublishedDate` in class `SyndFeedTest`
  Throws:
    `Exception`

### testAuthor

    public void testAuthor()
                    throws Exception

  Throws:
    `Exception`

### testImageTitle

    public void testImageTitle()
                        throws Exception

  Throws:
    `Exception`

### testImageUrl

    public void testImageUrl()
                      throws Exception

  Throws:
    `Exception`

### testImageLink

    public void testImageLink()
                       throws Exception

  Throws:
    `Exception`

### testImageDescription

    public void testImageDescription()
                              throws Exception

  Throws:
    `Exception`

### _testItem

    protected void _testItem(int i)
                      throws Exception

  Throws:
    `Exception`

### _testUri

    protected void _testUri(SyndEntry entry,
                            int i)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.